/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.test.ui;

import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Runs all functional tests found in the classpath.
 * 
 * @version $Id: 61a7a9c27f249c89ec6a56172adfbfe8d8806dcd $
 * @since 2.3M1
 */
@RunWith(PageObjectSuite.class)
public class AllTests
{
    private static final Logger LOGGER = LoggerFactory.getLogger(AllTests.class);

    @PageObjectSuite.PostStart
    public void postStart(PersistentTestContext context) throws Exception
    {
        LOGGER.info("Put back the old WYSIWYG editor in preferences");

        context.getUtil().setDefaultCredentials(TestUtils.ADMIN_CREDENTIALS);
        context.getUtil().setGWTWYSIWYG();
    }
}
